NewSessionTicket (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.crypto.tls

## Class NewSessionTicket

- java.lang.Object
- - org.bouncycastle.crypto.tls.NewSessionTicket

-     public class NewSessionTicket
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `ticket`
    `protected long` | `ticketLifetimeHint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewSessionTicket(long ticketLifetimeHint, byte[] ticket)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `NewSessionTicket` to an `OutputStream`.
    `byte[]` | `getTicket()`
    `long` | `getTicketLifetimeHint()`
    `static NewSessionTicket` | `parse(java.io.InputStream input)` Parse a `NewSessionTicket` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ticketLifetimeHint

          protected long ticketLifetimeHint

    - #### ticket

          protected byte[] ticket

  - ### Constructor Detail

    - #### NewSessionTicket

          public NewSessionTicket(long ticketLifetimeHint,
                          byte[] ticket)

  - ### Method Detail

    - #### getTicketLifetimeHint

          public long getTicketLifetimeHint()

    - #### getTicket

          public byte[] getTicket()

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `NewSessionTicket` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static NewSessionTicket parse(java.io.InputStream input)
                                        throws java.io.IOException

      Parse a `NewSessionTicket` from an `InputStream`.
      Parameters:
        `input` - the `InputStream` to parse from.
      Returns:
        a `NewSessionTicket` object.
      Throws:
        `java.io.IOException`